package org.project.entity;

public interface Entity {

    void specialAbility(Entity target);

    void defend(boolean value);

    boolean isDefending();

    void heal(int health);

//    void fillMana(int mana);

    void takeDamage(int damage);

    void stun(boolean value);

    String getName();

    boolean isAlive();

}
